[pve-devel] [PATCH pve-kernel-meta 4/7] proxmox-boot: rename uuid list file

Stoiko Ivanov s.ivanov at proxmox.com
Thu Apr 22 13:17:57 CEST 2021


in order to be consistent with the renaming of pve-efiboot-tool to
proxmox-boot-tool.

Sending as separate patch, since it changes and removes a file in
'/etc', which could be considered part of the external 'api' of
proxmox-boot-tool

Signed-off-by: Stoiko Ivanov <s.ivanov at proxmox.com>
---
 debian/pve-kernel-helper.postinst | 10 ++++++++++
 proxmox-boot/functions            |  2 +-
 2 files changed, 11 insertions(+), 1 deletion(-)
 create mode 100644 debian/pve-kernel-helper.postinst

diff --git a/debian/pve-kernel-helper.postinst b/debian/pve-kernel-helper.postinst
new file mode 100644
index 0000000..5299d26
--- /dev/null
+++ b/debian/pve-kernel-helper.postinst
@@ -0,0 +1,10 @@
+#! /bin/sh
+
+set -e
+
+if [ -e /etc/kernel/pve-efiboot-uuids ]; then
+	echo "$0: legacy ESP list /etc/kernel/pve-efiboot-uuids found merging and cleaning." 1>&2
+	cat /etc/kernel/pve-efiboot-uuids >> /etc/kernel/proxmox-boot-uuids
+	proxmox-boot-tool clean
+	rm -f /etc/kernel/pve-efiboot-uuids
+fi
diff --git a/proxmox-boot/functions b/proxmox-boot/functions
index 72fe15d..04bdc51 100755
--- a/proxmox-boot/functions
+++ b/proxmox-boot/functions
@@ -1,7 +1,7 @@
 #! /bin/sh
 set -e
 
-ESP_LIST="/etc/kernel/pve-efiboot-uuids"
+ESP_LIST="/etc/kernel/proxmox-boot-uuids"
 ESPTYPE='c12a7328-f81f-11d2-ba4b-00a0c93ec93b'
 
 MANUAL_KERNEL_LIST="/etc/kernel/pve-efiboot-manual-kernels"
-- 
2.20.1





More information about the pve-devel mailing list